import "./tasks/Trim.wdl" as Trim
import "./tasks/Mapping.wdl" as Mapping
import "./tasks/Dedup.wdl" as Dedup
import "./tasks/Call_meth.wdl" as Call_meth


workflow {{ project_name }} {

	File fastq_1
	File fastq_2

	File chrom_sizes
	String sample
	String docker
	

	String disk_size
	String cluster_config

	File ref_dir


	call Mapping.Mapping as Mapping {
		input: 
		sample=sample,
		ref_dir=ref_dir,
		fastq_1=fastq_1,
		fastq_2=fastq_2,
		docker=docker,
		disk_size=disk_size,
		cluster_config=cluster_config
	}
	call Dedup.Dedup as Dedup {
		input:
		bam=Mapping.bam,
		sample=sample,
		docker=docker,
		disk_size=disk_size,
		cluster_config=cluster_config
	}
	call Call_meth.Call_meth as Call_meth {
		input:
		ref_dir=ref_dir,
		chrom_sizes=chrom_sizes,
		Dedup_bam=Dedup.Dedup_bam,
		sample=sample,
		docker=docker,
		disk_size=disk_size,
		cluster_config=cluster_config
	}
}
